# Uses of Interface
org.apache.avro.SchemaParser.ParseResult

Packages that use SchemaParser.ParseResult
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaParser.ParseResult in org.apache.avro

Methods in org.apache.avro that return SchemaParser.ParseResult
Modifier and Type
Method
Description
`SchemaParser.ParseResult`
ParseContext.`commit(Schema mainSchema)`
`SchemaParser.ParseResult`
SchemaParser.`parse(File file)`
Parse an Avro schema from a file.
`SchemaParser.ParseResult`
SchemaParser.`parse(File file, Charset charset)`
Parse an Avro schema from a file written with a specific character set.
`SchemaParser.ParseResult`
SchemaParser.`parse(InputStream in)`
Parse an Avro schema from an input stream.
`SchemaParser.ParseResult`
SchemaParser.`parse(InputStream in, Charset charset)`
Parse an Avro schema from an input stream.
`SchemaParser.ParseResult`
SchemaParser.`parse(Reader in)`
Parse an Avro schema from an input reader.
`SchemaParser.ParseResult`
SchemaParser.`parse(CharSequence text)`
Parse an Avro schema from a string.
`SchemaParser.ParseResult`
SchemaParser.`parse(URI location, Charset charset)`
Parse an Avro schema from a file written with a specific character set.
`SchemaParser.ParseResult`
SchemaParser.`parse(Path file)`
Parse an Avro schema from a file.
`SchemaParser.ParseResult`
SchemaParser.`parse(Path file, Charset charset)`
Parse an Avro schema from a file written with a specific character set.
Methods in org.apache.avro with parameters of type SchemaParser.ParseResult
Modifier and Type
Method
Description
`Schema`
SchemaParser.`resolve(SchemaParser.ParseResult result)`
Deprecated.